javax.swing.plaf

## Class TabbedPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TabbedPaneUI

Direct Known Subclasses:
  BasicTabbedPaneUI, MultiTabbedPaneUI

    public abstract class TabbedPaneUI
    extends ComponentUI

Pluggable look and feel interface for JTabbedPane.

### Constructor Summary

Constructors
Constructor and Description
`TabbedPaneUI()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Rectangle` `getTabBounds(JTabbedPane pane, int index)`
`abstract int` `getTabRunCount(JTabbedPane pane)`
`abstract int` `tabForCoordinate(JTabbedPane pane, int x, int y)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TabbedPaneUI

    public TabbedPaneUI()

### Method Detail

#### tabForCoordinate

    public abstract int tabForCoordinate(JTabbedPane pane,
                                         int x,
                                         int y)

#### getTabBounds

    public abstract Rectangle getTabBounds(JTabbedPane pane,
                                           int index)

#### getTabRunCount

    public abstract int getTabRunCount(JTabbedPane pane)